---
updatedAt: 2025-09-17T23:33:26.000Z
agentTools:
  projectIndex: https://docs.nexiopay.com/llms.txt
---

# View legacy merchant webhook configuration

Returns a merchant's webhook configuration. For a tutorial about configuring and using webhooks, see [Configuring legacy webhooks](doc:configuring-legacy-webhooks) in Guides.

<!-- theme: info -->
> 📘 Note
> 
> For the current workflow, see the [View webhook URLs by ID and type](ref:viewwebhookurlsbyidandtype) endpoint instead.

<!-- theme: warning -->
> ⚠️ Try It
> 
> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](doc:sandbox-environments).


<div style="display:none;">

## Request parameters
- id

## Response parameters
- merchantId
- payoutAccountId
- webhooks
- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED
- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED.url
- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER
- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER.url
- webhooks.CARD_DATA_UPDATED
- webhooks.CARD_DATA_UPDATED.url
- webhooks.CARD_SAVED
- webhooks.CARD_SAVED.url
- webhooks.ECHECK_SAVED
- webhooks.ECHECK_SAVED.url
- webhooks.SUBSCRIPTION_DETAILS
- webhooks.SUBSCRIPTION_DETAILS.url
- webhooks.TRANSACTION_AUTHORIZED
- webhooks.TRANSACTION_AUTHORIZED.url
- webhooks.TRANSACTION_CAPTURED
- webhooks.TRANSACTION_CAPTURED.url
- webhooks.TRANSACTION_PENDING
- webhooks.TRANSACTION_PENDING.url
- webhooks.TRANSACTION_REFUNDED
- webhooks.TRANSACTION_REFUNDED.url
- webhooks.TRANSACTION_SETTLED
- webhooks.TRANSACTION_SETTLED.url
- webhooks.TRANSACTION_VOIDED
- webhooks.TRANSACTION_VOIDED.url
- webhooks.PAYOUT
- webhooks.PAYOUT.url
- webhooks.SPENDBACK
- webhooks.SPENDBACK.url
- dateCreated
- dateLastModified

</div>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Dev Tools API Reference",
    "version": "3.0.0",
    "description": "Use the dev tools endpoints to create and view webhooks. For more information, see [Webhooks](https://docs.nexiopay.com/docs/webhooks) in Guides.",
    "contact": {
      "name": "Integrations Support",
      "email": "integrations@nexiopay.com",
      "url": "https://nexiointegrations.slack.com/"
    },
    "license": {
      "name": "ISC",
      "url": "https://docs.nexiopay.com/page/license"
    }
  },
  "security": [
    {
      "Basic_Authentication": []
    },
    {
      "One-time-use_Token": []
    }
  ],
  "servers": [
    {
      "description": "Sandbox",
      "url": "https://api.nexiopaysandbox.com",
      "variables": {}
    }
  ],
  "components": {
    "securitySchemes": {
      "Basic_Authentication": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication is a simple authentication scheme built into the HTTP protocol. \n\nFor the \"Try It\" feature, type your API username and password in the appropriate fields. The system then automatically creates the Authorization header that contains the word `Basic` followed by a space and a base64-encoded string `username:password`. \n\nFor example: `Authorization: Basic ZGVtbzpwQDU1dzByZA==` \n\nFor your own requests, learn how to do the conversion in the [Authentication](https://docs.nexiopay.com/docs/authentication#basic-authentication) guide. \n\nFor more information about this security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#basic-authentication-sample"
      },
      "One-time-use_Token": {
        "type": "apiKey",
        "name": "token",
        "in": "query",
        "description": "The one-time-use token authentication scheme requires a token supplied in the named query parameter that can only be used to submit a single API request and that expires after one hour. \n\nFor the \"Try It\" feature, first generate the one-time-use token through either the [Create one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken) or the [Create APM one-time-use token](https://docs.nexiopay.com/reference/createapmonetimeusetoken) endpoint. Copy the resulting token and then paste it in the appropriate field for the current endpoint. \n\nFor your own requests, learn how to generate the one-time-use token in the [Authentication](https://docs.nexiopay.com/docs/authentication#one-time-use-tokens) guide. Then, use it as normal for this endpoint. \n\nFor more information about the \"apiKeys\" security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#security-scheme-object"
      }
    },
    "responses": {
      "401": {
        "description": "Unauthorized.\n\nFor help with this error and other error codes, see [Common errors](https://docs.nexiopay.com/docs/common-errors) in the Guides area.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "message": {
                  "type": "string",
                  "description": "A message from Nexio about the state of the request",
                  "example": "Unauthorized"
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Webhook Service",
      "description": "APIs for webhooks"
    }
  ],
  "paths": {
    "/webhook/v3/webhookUrls": {
      "post": {
        "description": "**New webhook workflow**\n\nRegisters webhooks for a specific merchant ID or payout account ID. These webhooks are callbacks for transactions, payouts, or spendbacks. \n\n- Each webhook for a merchant ID receives the same information for all transaction events. \n- Each webhook for a payout account ID receives the same information for all payout and spendback events.\n\nYou can create multiple webhooks for the same merchant ID or payout account ID. This is useful for situations where you have multiple workflows from a single event, such as when you need to send the information to two different internal departments but they need to do different things with the same information.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).\n\n<!-- theme: warning -->\n> 🛑 Important \n> \n> Nexio supports only either the legacy webhooks or these new ones. Before configuring URLs for your webhooks, ensure that you do not have any URLs for legacy ones configured: [View legacy merchant webhook configuration](https://docs.nexiopay.com/reference/viewmerchantwebhookconfiguration).\n\n\n<div style=\"display:none;\">\n\n## Request parameters\n- merchantId\n- webhookUrls \n- payoutAccountId\n- accountId\n\n## Response parameters\n- merchantId\n- payoutAccountId\n- accountId\n- webhookUrls\n- dateCreated\n- dateLastModified\n\n</div>\n\n## Next steps\n* If needed, whitelist the IP addresses that send the webhooks. You can find the list for both sandbox and production environments at [https://ip-ranges.nex.io/ip-ranges.json](https://ip-ranges.nex.io/ip-ranges.json).\n* [Retrieve a list of webhook URLs](https://docs.nexiopay.com/reference/viewwebhookurlsbyidandtype) that are registered for a merchant ID or payout account ID.\n* For a tutorial on how to register and use webhooks, see [Webhooks](https://docs.nexiopay.com/docs/webhooks) in Guides.\n\nFor the legacy method for creating webhooks, see the [Create legacy merchant webhooks](https://docs.nexiopay.com/reference/createmerchantwebhooks) endpoint.\n",
        "operationId": "RegisterWebhookUrls",
        "tags": [
          "Webhook Service"
        ],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "title": "Register webhook for merchantId",
                    "type": "object",
                    "x-tags": [
                      "object"
                    ],
                    "properties": {
                      "merchantId": {
                        "$ref": "#/paths/~1webhook~1v3~1config/post/requestBody/content/application~1json/schema/oneOf/0/properties/merchantId"
                      },
                      "webhookUrls": {
                        "title": "webhookUrls",
                        "type": "array",
                        "description": "An array of all the webhooks to configure for the specified merchant ID, payout account ID, or account ID. The array submitted overwrites any existing array values.\n\n**Important:** You must include any existing webhooks in this array, or they will be replaced. To get a list of existing webhooks, see the [View webhook URLs by ID and type](https://docs.nexiopay.com/reference/viewwebhookurlsbyidandtype) endpoint.\n\nTo remove all webhook URLs, send the request with an empty array.",
                        "x-tags": [
                          "component"
                        ],
                        "items": {
                          "type": "string",
                          "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        }
                      }
                    },
                    "required": [
                      "merchantId",
                      "webhookUrls"
                    ]
                  },
                  {
                    "title": "Register webhook for payoutAccountId",
                    "type": "object",
                    "x-tags": [
                      "object"
                    ],
                    "properties": {
                      "payoutAccountId": {
                        "$ref": "#/paths/~1webhook~1v3~1config/post/requestBody/content/application~1json/schema/oneOf/1/properties/payoutAccountId"
                      },
                      "webhookUrls": {
                        "$ref": "#/paths/~1webhook~1v3~1webhookUrls/post/requestBody/content/application~1json/schema/oneOf/0/properties/webhookUrls"
                      }
                    },
                    "required": [
                      "payoutAccountId",
                      "webhookUrls"
                    ]
                  },
                  {
                    "title": "Register webhook for reseller account",
                    "type": "object",
                    "x-tags": [
                      "object"
                    ],
                    "properties": {
                      "accountId": {
                        "type": "string",
                        "title": "accountId",
                        "description": "Your Nexio account number. You can get this value from the response for the [Who am I](https://docs.nexiopay.com/reference/whoami) endpoint.",
                        "example": "27592004",
                        "x-tags": [
                          "component"
                        ]
                      },
                      "webhookUrls": {
                        "$ref": "#/paths/~1webhook~1v3~1webhookUrls/post/requestBody/content/application~1json/schema/oneOf/0/properties/webhookUrls"
                      }
                    },
                    "required": [
                      "accountId",
                      "webhookUrls"
                    ]
                  }
                ]
              },
              "examples": {
                "Multiple merchant webhooks": {
                  "value": {
                    "merchantId": "000999",
                    "webhookUrls": [
                      "https://your-ecommerce-website.example.com/transactionwebhook12345",
                      "https://your-ecommerce-website.example.com/transactionwebhook98765"
                    ]
                  }
                },
                "Multiple payout webhooks": {
                  "value": {
                    "payoutAccountId": "3727",
                    "webhookUrls": [
                      "https://your-ecommerce-website.example.com/payoutwebhook12345",
                      "https://your-ecommerce-website.example.com/spendbackwebhook12345"
                    ]
                  }
                },
                "Multiple reseller webhooks": {
                  "value": {
                    "accountId": "27592004",
                    "webhookUrls": [
                      "https://your-ecommerce-website.example.com/applicationwebhook12345",
                      "https://your-ecommerce-website.example.com/applicationwebhook98765"
                    ]
                  }
                }
              }
            }
          },
          "description": ""
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "title": "webhookUrlsResponse",
                  "type": "object",
                  "x-tags": [
                    "object"
                  ],
                  "description": "f",
                  "properties": {
                    "merchantId": {
                      "type": "string",
                      "title": "merchantId",
                      "description": "The Nexio merchant ID associated with the webhooks. This parameter is only returned when the request included the `merchantId` in the `id` path parameter.\n\nEither this parameter, `payoutAccountId`, or `accountId` is returned.c",
                      "x-tags": [
                        "component"
                      ],
                      "example": "000999"
                    },
                    "payoutAccountId": {
                      "type": "string",
                      "title": "payoutAccountId",
                      "description": "The Nexio ID for the payout account associated with the webhooks. This parameter is only returned when the request included the `payoutAccountId` in the `id` path parameter.\n\nEither this parameter, `merchantId`, or `accountId` is returned.",
                      "example": "3927",
                      "x-tags": [
                        "component"
                      ]
                    },
                    "accountId": {
                      "type": "string",
                      "title": "accountId",
                      "description": "The reseller's Nexio account ID associated with the webhooks. This parameter is only returned when the request included the `accountId` in the `id` path parameter.\n\nEither this parameter, `merchantId`, or `payoutAccountId` is returned.",
                      "x-tags": [
                        "component"
                      ],
                      "example": "27592004"
                    },
                    "webhookUrls": {
                      "title": "webhookUrls",
                      "type": "array",
                      "description": "An array of all the webhooks configured for the specified merchant ID, payout account ID, or reseller account ID.",
                      "x-tags": [
                        "component"
                      ],
                      "items": {
                        "type": "string",
                        "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      }
                    },
                    "dateCreated": {
                      "type": "string",
                      "description": "The date and time the configuration was created, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2019-03-22T16:58:51.957Z"
                    },
                    "dateLastModified": {
                      "type": "string",
                      "description": "The date and time the configuration was last modified, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2019-04-04T18:54:58.011Z"
                    }
                  }
                },
                "examples": {
                  "Merchant webhook response": {
                    "value": {
                      "merchantId": "000999",
                      "webhookUrls": [
                        "https://your-ecommerce-website.example.com/transactionwebhook12345",
                        "https://your-ecommerce-website.example.com/transactionwebhook98765"
                      ],
                      "dateCreated": "2023-03-22T16:58:51.957Z",
                      "dateLastModified": "2023-04-04T18:54:58.011Z"
                    }
                  },
                  "Payout webhook response": {
                    "value": {
                      "payoutAccountId": "3927",
                      "webhookUrls": [
                        "https://your-ecommerce-website.example.com/payoutwebhook12345",
                        "https://your-ecommerce-website.example.com/spendbackwebhook12345"
                      ],
                      "dateCreated": "2023-03-22T16:58:51.957Z",
                      "dateLastModified": "2023-04-04T18:54:58.011Z"
                    }
                  },
                  "Reseller webhook response": {
                    "value": {
                      "accountId": "27592004",
                      "webhookUrls": [
                        "https://your-ecommerce-website.example.com/applicationwebhook12345",
                        "https://your-ecommerce-website.example.com/applicationwebhook98765"
                      ],
                      "dateCreated": "2023-03-22T16:58:51.957Z",
                      "dateLastModified": "2023-04-04T18:54:58.011Z"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "Register webhook URLs"
      }
    },
    "/webhook/v3/config": {
      "post": {
        "description": "Configures webhooks using the legacy workflow, including the URLs a merchant's webhooks are sent to and the event types which trigger webhooks.\n\nIf you need to whitelist the IP addresses that send the webhooks, you can find the list for both sandbox and production environments at [https://ip-ranges.nex.io/ip-ranges.json](https://ip-ranges.nex.io/ip-ranges.json).\n\nFor a tutorial about configuring and using webhooks, see [Configuring webhooks](https://docs.nexiopay.com/docs/configuring-legacy-webhooks) in Guides.\n\n<!-- theme: info -->\n> 📘 Note\n> \n> For the current workflow, see the [Register webhook URLs](https://docs.nexiopay.com/reference/registerwebhookurls) endpoint instead.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).\n\n\n<!-- theme: warning -->\n> 🛑 Important \n> \n> Nexio supports only either the new webhooks or these legacy ones. Before configuring URLs for legacy webhooks, ensure that you do not have any URLS for the new ones configured: [View webhook URLs by ID and type](https://docs.nexiopay.com/reference/viewwebhookurlsbyidandtype).\n> \n> If you need to remove one or more (or all) legacy webhooks, use this endpoint, but send an empty `webhooks` object to remove all or, to remove just one, send all current configured webhooks minus the object that corresponds to the event type for the webhook you want to remove. For additional information, see [Deregistering legacy webhooks](https://docs.nexiopay.com/docs/) in Guides.\n\n\n<div style=\"display:none;\">\n\n## Request parameters\n- merchantId\n- payoutAccountId\n- webhooks\n- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED\n- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED.url\n- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER\n- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER.url\n- webhooks.CARD_DATA_UPDATED\n- webhooks.CARD_DATA_UPDATED.url\n- webhooks.CARD_SAVED\n- webhooks.CARD_SAVED.url\n- webhooks.ECHECK_SAVED\n- webhooks.ECHECK_SAVED.url\n- webhooks.SUBSCRIPTION_DETAILS\n- webhooks.SUBSCRIPTION_DETAILS.url\n- webhooks.TRANSACTION_AUTHORIZED\n- webhooks.TRANSACTION_AUTHORIZED.url\n- webhooks.TRANSACTION_CAPTURED\n- webhooks.TRANSACTION_CAPTURED.url\n- webhooks.TRANSACTION_PENDING\n- webhooks.TRANSACTION_PENDING.url\n- webhooks.TRANSACTION_REFUNDED\n- webhooks.TRANSACTION_REFUNDED.url\n- webhooks.TRANSACTION_SETTLED\n- webhooks.TRANSACTION_SETTLED.url\n- webhooks.TRANSACTION_VOIDED\n- webhooks.TRANSACTION_VOIDED.url\n- webhooks.PAYOUT\n- webhooks.PAYOUT.url\n- webhooks.SPENDBACK\n- webhooks.SPENDBACK.url\n\n\n## Response parameters\n- merchantId\n- payoutAccountId\n- webhooks\n- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED\n- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED.url\n- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER\n- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER.url\n- webhooks.CARD_DATA_UPDATED\n- webhooks.CARD_DATA_UPDATED.url\n- webhooks.CARD_SAVED\n- webhooks.CARD_SAVED.url\n- webhooks.ECHECK_SAVED\n- webhooks.ECHECK_SAVED.url\n- webhooks.SUBSCRIPTION_DETAILS\n- webhooks.SUBSCRIPTION_DETAILS.url\n- webhooks.TRANSACTION_AUTHORIZED\n- webhooks.TRANSACTION_AUTHORIZED.url\n- webhooks.TRANSACTION_CAPTURED\n- webhooks.TRANSACTION_CAPTURED.url\n- webhooks.TRANSACTION_PENDING\n- webhooks.TRANSACTION_PENDING.url\n- webhooks.TRANSACTION_REFUNDED\n- webhooks.TRANSACTION_REFUNDED.url\n- webhooks.TRANSACTION_SETTLED\n- webhooks.TRANSACTION_SETTLED.url\n- webhooks.TRANSACTION_VOIDED\n- webhooks.TRANSACTION_VOIDED.url\n- webhooks.PAYOUT\n- webhooks.PAYOUT.url\n- webhooks.SPENDBACK\n- webhooks.SPENDBACK.url\n- dateCreated\n- dateLastModified\n\n</div>",
        "operationId": "CreateMerchantWebhooks",
        "tags": [
          "Webhook Service"
        ],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "title": "Register webhook for merchantId",
                    "type": "object",
                    "x-tags": [
                      "object"
                    ],
                    "properties": {
                      "merchantId": {
                        "type": "string",
                        "title": "merchantId",
                        "description": "The Nexio merchant ID to register the webhook URL for. The ID parameter name to use is `merchantId`.\n\nEither this parameter or `payoutAccountId` is required.",
                        "x-tags": [
                          "component"
                        ],
                        "example": "000999"
                      },
                      "webhooks": {
                        "anyOf": [
                          {
                            "properties": {
                              "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                                  }
                                }
                              },
                              "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                                  }
                                }
                              },
                              "CARD_DATA_UPDATED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/cardwebhook12345"
                                  }
                                }
                              },
                              "CARD_SAVED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/cardwebhook12345"
                                  }
                                }
                              },
                              "ECHECK_SAVED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/echeckwebhook12345"
                                  }
                                }
                              },
                              "SUBSCRIPTION_DETAILS": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/subwebhook12345"
                                  }
                                }
                              },
                              "TRANSACTION_AUTHORIZED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                                  }
                                }
                              },
                              "TRANSACTION_CAPTURED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                                  }
                                }
                              },
                              "TRANSACTION_PENDING": {
                                "type": "object",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                                  }
                                }
                              },
                              "TRANSACTION_REFUNDED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                                  }
                                }
                              },
                              "TRANSACTION_SETTLED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                                  }
                                }
                              },
                              "TRANSACTION_VOIDED": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "example": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                                  }
                                }
                              }
                            }
                          }
                        ],
                        "type": "object",
                        "title": "webhooks",
                        "x-tags": [
                          "object"
                        ],
                        "description": "An object containing the webhook URL. See the [event types](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) table to see a possible list of keys."
                      }
                    },
                    "required": [
                      "merchantId",
                      "webhooks"
                    ],
                    "description": "When registering one or more webhooks for a `merchantId`, you must specify the `merchantId` as well as at least one webhook type in the `webhooks` object."
                  },
                  {
                    "title": "Register webhook for payoutAccountId",
                    "type": "object",
                    "x-tags": [
                      "object"
                    ],
                    "description": "When registering one or more webhooks for a `payoutAccountId`, you must specify the `payoutAccountId` as well as at least one webhook type in the `webhooks` object.",
                    "properties": {
                      "payoutAccountId": {
                        "type": "string",
                        "title": "payoutAccountId",
                        "description": "The Nexio ID for the payout account. The ID parameter name to use is `payoutAccountId`.\n\nEither this parameter or `merchantId` is required.",
                        "example": "3927",
                        "x-tags": [
                          "component"
                        ]
                      },
                      "webhooks": {
                        "anyOf": [
                          {
                            "properties": {
                              "PAYOUT": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/payoutwebhook12345"
                                  }
                                }
                              },
                              "SPENDBACK": {
                                "type": "object",
                                "description": "The [event type](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) to register the webhook for.",
                                "properties": {
                                  "url": {
                                    "type": "string",
                                    "description": "The URL the webhook is sent to.",
                                    "example": "https://your-ecommerce-website.example.com/spendbackwebhook12345"
                                  }
                                }
                              }
                            }
                          }
                        ],
                        "type": "object",
                        "title": "webhooks",
                        "description": "An object containing the webhook URL. See the [event types](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types) table to see a possible list of keys.",
                        "x-tags": [
                          "object"
                        ]
                      }
                    },
                    "required": [
                      "payoutAccountId",
                      "webhooks"
                    ]
                  }
                ]
              },
              "examples": {
                "Register for only transaction events": {
                  "value": {
                    "merchantId": "000999",
                    "webhooks": {
                      "TRANSACTION_AUTHORIZED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_CAPTURED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_PENDING": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_REFUNDED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_SETTLED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_VOIDED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      }
                    }
                  }
                },
                "Register for only account updater events": {
                  "value": {
                    "merchantId": "000999",
                    "webhooks": {
                      "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                        "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                      },
                      "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                        "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                      }
                    }
                  }
                },
                "Register for all merchant account events": {
                  "value": {
                    "merchantId": "000999",
                    "webhooks": {
                      "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                        "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                      },
                      "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                        "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                      },
                      "CARD_DATA_UPDATED": {
                        "url": "https://your-ecommerce-website.example.com/cardwebhook12345"
                      },
                      "CARD_SAVED": {
                        "url": "https://your-ecommerce-website.example.com/cardwebhook12345"
                      },
                      "ECHECK_SAVED": {
                        "url": "https://your-ecommerce-website.example.com/echeckwebhook12345"
                      },
                      "SUBSCRIPTION_DETAILS": {
                        "url": "https://your-ecommerce-website.example.com/subwebhook12345"
                      },
                      "TRANSACTION_AUTHORIZED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_CAPTURED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_PENDING": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_REFUNDED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_SETTLED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      },
                      "TRANSACTION_VOIDED": {
                        "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                      }
                    }
                  }
                },
                "Register for all payout and spendback events": {
                  "value": {
                    "payoutAccountId": "3927",
                    "webhooks": {
                      "PAYOUT": {
                        "url": "https://your-ecommerce-website.example.com/payoutwebhook12345"
                      },
                      "SPENDBACK": {
                        "url": "https://your-ecommerce-website.example.com/spendbackwebhook12345"
                      }
                    }
                  }
                }
              }
            },
            "application/xml": {
              "schema": {
                "type": "object",
                "properties": {}
              }
            }
          },
          "description": ""
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "merchantId": {
                      "type": "string",
                      "title": "merchantId",
                      "description": "The Nexio merchant ID associated with the webhooks. This parameter is only returned when the request included the `merchantId` parameter.\n\nEither this parameter or `payoutAccountId` is returned.",
                      "x-tags": [
                        "component"
                      ],
                      "example": "000999"
                    },
                    "payoutAccountId": {
                      "type": "string",
                      "title": "payoutAccountId",
                      "description": "The Nexio ID for the payout account associated with the webhooks. This parameter is only returned when the request included the `payoutAccountId` parameter.\n\nEither this parameter or `merchantId` is returned.",
                      "example": "3927",
                      "x-tags": [
                        "component"
                      ]
                    },
                    "webhooks": {
                      "title": "webhooks",
                      "type": "object",
                      "description": "A list of all the webhooks currently configured. Keys are the [webhook event types](https://docs.nexiopay.com/docs/legacy-webhooks-and-event-types#event-types).",
                      "x-tags": [
                        "object"
                      ],
                      "properties": {
                        "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                          "type": "object",
                          "description": "Webhook will be sent when the account associated with the card has been closed.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                          "type": "object",
                          "description": "Webhook will be sent when the card brand advises you to contact the cardholder.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "CARD_DATA_UPDATED": {
                          "type": "object",
                          "description": "Webhook will be sent when card data has been updated.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "CARD_SAVED": {
                          "type": "object",
                          "description": "Webhook will be sent when card data has been saved.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "ECHECK_SAVED": {
                          "type": "object",
                          "description": "Webhook will be sent when echeck data has been saved.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "PAYOUT": {
                          "type": "object",
                          "description": "Webhook will be sent when a payout gets submitted (**Note:** This means that you will receive multiple webhooks when submitting a batch payout), a [payout status](https://docs.nexiopay.com/docs/constant-payouts-values#payout-status-payoutstatus) changes, or a [transfer status](https://docs.nexiopay.com/docs/constant-payouts-values#transfer-status-transferstatus) changes.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "SPENDBACK": {
                          "type": "object",
                          "description": "Webhook will be sent when a spendback is submitted, a spendback is refunded, or a spendback status](doc:constant-payouts-values#spendback-status-spendbackstatus) changes.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "SUBSCRIPTION_DETAILS": {
                          "type": "object",
                          "description": "Webhook will be sent when a subscription has been processed.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "TRANSACTION_AUTHORIZED": {
                          "type": "object",
                          "description": "Webhook will be sent when a transaction is authorized.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been authorized.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "TRANSACTION_CAPTURED": {
                          "type": "object",
                          "description": "Webhook will be sent when a transaction is captured.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "TRANSACTION_PENDING": {
                          "type": "object",
                          "description": "Webhook will be sent when a transaction is marked as pending.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "TRANSACTION_REFUNDED": {
                          "type": "object",
                          "description": "Webhook will be sent when a transaction is refunded.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "TRANSACTION_SETTLED": {
                          "type": "object",
                          "description": "Webhook will be sent when a transaction is settled.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        },
                        "TRANSACTION_VOIDED": {
                          "type": "object",
                          "description": "Webhook will be sent when a transaction is voided.",
                          "properties": {
                            "url": {
                              "type": "string",
                              "description": "The URL the webhook will be sent to when a transaction has been captured.",
                              "example": "https://your-ecommerce-website.example.com"
                            }
                          }
                        }
                      }
                    },
                    "dateCreated": {
                      "type": "string",
                      "description": "The date and time the configuration was created, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2019-03-22T16:58:51.957Z"
                    },
                    "dateLastModified": {
                      "type": "string",
                      "description": "The date and time the configuration was last modified, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2019-04-04T18:54:58.011Z"
                    }
                  }
                },
                "examples": {
                  "Response for registering only transaction events": {
                    "value": {
                      "merchantId": "000999",
                      "webhooks": {
                        "TRANSACTION_AUTHORIZED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_CAPTURED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_PENDING": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_REFUNDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_SETTLED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_VOIDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  },
                  "Response for registering only account updater events": {
                    "value": {
                      "merchantId": "000999",
                      "webhooks": {
                        "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        },
                        "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  },
                  "Response for registering all merchant account events": {
                    "value": {
                      "merchantId": "000999",
                      "webhooks": {
                        "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        },
                        "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        },
                        "CARD_DATA_UPDATED": {
                          "url": "https://your-ecommerce-website.example.com/cardwebhook12345"
                        },
                        "CARD_SAVED": {
                          "url": "https://your-ecommerce-website.example.com/cardwebhook12345"
                        },
                        "ECHECK_SAVED": {
                          "url": "https://your-ecommerce-website.example.com/echeckwebhook12345"
                        },
                        "SUBSCRIPTION_DETAILS": {
                          "url": "https://your-ecommerce-website.example.com/subwebhook12345"
                        },
                        "TRANSACTION_AUTHORIZED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_CAPTURED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_PENDING": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_REFUNDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_SETTLED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_VOIDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  },
                  "Response for registering all payout and spendback events": {
                    "value": {
                      "payoutAccountId": "3927",
                      "webhooks": {
                        "PAYOUT": {
                          "url": "https://your-ecommerce-website.example.com/payoutwebhook12345"
                        },
                        "SPENDBACK": {
                          "url": "https://your-ecommerce-website.example.com/spendbackwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "requiredFieldsError": {
                      "type": "boolean",
                      "description": "Returns as `true` when the error occurred because a required parameter is missing from the request."
                    },
                    "message": {
                      "type": "string",
                      "example": "Missing required values. [webhooks]",
                      "description": "A message from Nexio about the state of the request."
                    },
                    "error": {
                      "type": "integer",
                      "example": 1001,
                      "description": "Nexio error code."
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "Create legacy merchant webhooks"
      }
    },
    "/webhook/v3/config/{id}": {
      "get": {
        "description": "Returns a merchant's webhook configuration. For a tutorial about configuring and using webhooks, see [Configuring legacy webhooks](https://docs.nexiopay.com/docs/configuring-legacy-webhooks) in Guides.\n\n<!-- theme: info -->\n> 📘 Note\n> \n> For the current workflow, see the [View webhook URLs by ID and type](https://docs.nexiopay.com/reference/viewwebhookurlsbyidandtype) endpoint instead.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).\n\n\n<div style=\"display:none;\">\n\n## Request parameters\n- id\n\n## Response parameters\n- merchantId\n- payoutAccountId\n- webhooks\n- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED\n- webhooks.ACCOUNT_UPDATER_ACCOUNT_CLOSED.url\n- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER\n- webhooks.ACCOUNT_UPDATER_CONTACT_CARDHOLDER.url\n- webhooks.CARD_DATA_UPDATED\n- webhooks.CARD_DATA_UPDATED.url\n- webhooks.CARD_SAVED\n- webhooks.CARD_SAVED.url\n- webhooks.ECHECK_SAVED\n- webhooks.ECHECK_SAVED.url\n- webhooks.SUBSCRIPTION_DETAILS\n- webhooks.SUBSCRIPTION_DETAILS.url\n- webhooks.TRANSACTION_AUTHORIZED\n- webhooks.TRANSACTION_AUTHORIZED.url\n- webhooks.TRANSACTION_CAPTURED\n- webhooks.TRANSACTION_CAPTURED.url\n- webhooks.TRANSACTION_PENDING\n- webhooks.TRANSACTION_PENDING.url\n- webhooks.TRANSACTION_REFUNDED\n- webhooks.TRANSACTION_REFUNDED.url\n- webhooks.TRANSACTION_SETTLED\n- webhooks.TRANSACTION_SETTLED.url\n- webhooks.TRANSACTION_VOIDED\n- webhooks.TRANSACTION_VOIDED.url\n- webhooks.PAYOUT\n- webhooks.PAYOUT.url\n- webhooks.SPENDBACK\n- webhooks.SPENDBACK.url\n- dateCreated\n- dateLastModified\n\n</div>",
        "operationId": "ViewMerchantWebhookConfiguration",
        "tags": [
          "Webhook Service"
        ],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "description": "The merchant ID or the payout account ID.",
            "schema": {
              "type": "string",
              "example": "000999"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "title": "webhookConfig",
                  "type": "object",
                  "x-tags": [
                    "object"
                  ],
                  "properties": {
                    "merchantId": {
                      "$ref": "#/paths/~1webhook~1v3~1webhookUrls/post/responses/200/content/application~1json/schema/properties/merchantId"
                    },
                    "payoutAccountId": {
                      "$ref": "#/paths/~1webhook~1v3~1webhookUrls/post/responses/200/content/application~1json/schema/properties/payoutAccountId"
                    },
                    "webhooks": {
                      "$ref": "#/paths/~1webhook~1v3~1config/post/responses/200/content/application~1json/schema/properties/webhooks"
                    },
                    "dateCreated": {
                      "type": "string",
                      "description": "The date and time the configuration was created, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2019-03-22T16:58:51.957Z"
                    },
                    "dateLastModified": {
                      "type": "string",
                      "description": "The date and time the configuration was last modified, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2019-04-04T18:54:58.011Z"
                    }
                  }
                },
                "examples": {
                  "Response when only transaction events are registered": {
                    "value": {
                      "merchantId": "000999",
                      "webhooks": {
                        "TRANSACTION_AUTHORIZED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_CAPTURED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_PENDING": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_REFUNDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_SETTLED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_VOIDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  },
                  "Response when only account updater events are registered": {
                    "value": {
                      "merchantId": "000999",
                      "webhooks": {
                        "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        },
                        "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  },
                  "Response when all merchant account events are registered": {
                    "value": {
                      "merchantId": "000999",
                      "webhooks": {
                        "ACCOUNT_UPDATER_ACCOUNT_CLOSED": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        },
                        "ACCOUNT_UPDATER_CONTACT_CARDHOLDER": {
                          "url": "https://your-ecommerce-website.example.com/updaterwebhook12345"
                        },
                        "CARD_DATA_UPDATED": {
                          "url": "https://your-ecommerce-website.example.com/cardwebhook12345"
                        },
                        "CARD_SAVED": {
                          "url": "https://your-ecommerce-website.example.com/cardwebhook12345"
                        },
                        "ECHECK_SAVED": {
                          "url": "https://your-ecommerce-website.example.com/echeckwebhook12345"
                        },
                        "SUBSCRIPTION_DETAILS": {
                          "url": "https://your-ecommerce-website.example.com/subwebhook12345"
                        },
                        "TRANSACTION_AUTHORIZED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_CAPTURED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_PENDING": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_REFUNDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_SETTLED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        },
                        "TRANSACTION_VOIDED": {
                          "url": "https://your-ecommerce-website.example.com/transactionwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  },
                  "Response when  all payout and spendback events are registered": {
                    "value": {
                      "payoutAccountId": "3927",
                      "webhooks": {
                        "PAYOUT": {
                          "url": "https://your-ecommerce-website.example.com/payoutwebhook12345"
                        },
                        "SPENDBACK": {
                          "url": "https://your-ecommerce-website.example.com/spendbackwebhook12345"
                        }
                      },
                      "dateCreated": "2019-03-22T16:58:51.957Z",
                      "dateLastModified": "2019-04-04T18:54:58.011Z"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "View legacy merchant webhook configuration"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```